# H225_RasUsageInformation Class Reference

`#include <h225.h>`

Inheritance diagram for H225_RasUsageInformation:

List of all members.

## Public Types

enum | OptionalFields { e_alertingTime, e_connectTime, e_endTime }

## Public Member Functions

| H225_RasUsageInformation (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_ArrayOf_NonStandardParameter | m_nonStandardUsageFields
H235_TimeStamp | m_alertingTime
H235_TimeStamp | m_connectTime
H235_TimeStamp | m_endTime

## Member Enumeration Documentation

enum H225_RasUsageInformation::OptionalFields

Enumerator:

  e_alertingTime |
  e_connectTime |
  e_endTime |

## Constructor & Destructor Documentation

H225_RasUsageInformation::H225_RasUsageInformation | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_RasUsageInformation::GetDataLength | ( |  | ) | const

PBoolean H225_RasUsageInformation::Decode | ( | PASN_Stream & | strm | ) |

void H225_RasUsageInformation::Encode | ( | PASN_Stream & | strm | ) | const

void H225_RasUsageInformation::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_RasUsageInformation::Compare | ( | const PObject & | obj | ) | const

PObject* H225_RasUsageInformation::Clone | ( |  | ) | const

## Member Data Documentation

H225_ArrayOf_NonStandardParameter H225_RasUsageInformation::m_nonStandardUsageFields

H235_TimeStamp H225_RasUsageInformation::m_alertingTime

H235_TimeStamp H225_RasUsageInformation::m_connectTime

H235_TimeStamp H225_RasUsageInformation::m_endTime

The documentation for this class was generated from the following file:

- h225.h